Macaulay2 » Documentation
Packages » HyperplaneArrangements :: Flat == Flat
next | previous | forward | backward | up | index | toc

# Flat == Flat -- whether two flats are equal

- Operator: ==
- Usage:
    `F == G`
- Inputs:
  - F, a flat in an hyperplane arrangement,
  - G, a flat in an hyperplane arrangement,
- Outputs:
  - a Boolean value, whether or not F and G are equal

## Description

Two flats are equal if and only if they belong to the same arrangement and have the same hyperplanes.

## See also

- Arrangement == Arrangement -- whether two hyperplane arrangements are equal

## Ways to use this method:

- Flat == Flat -- whether two flats are equal

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/HyperplaneArrangements.m2:2344:0.